Subject: bug#20952: closed (Re: bug#20951: 25.0.50; emacs -nw hangs during startup)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jul 2015 14:52:03 +0000

Your bug report

#20951: 25.0.50; xterm--query fix causes startup problems

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20951: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20951
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20951: 25.0.50; emacs -nw hangs during startup
From: Stefan Monnier <[email-masked]>
To: Ken Brown <[email-masked]>
Cc: [email-masked]
Date: Thu, 02 Jul 2015 10:51:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> emacs -nw -Q, run from an xterm terminal, appears to hang during startup
> before it finishes displaying the *scratch* buffer.

Should be fixed now, thanks,

        Stefan

Subject: 25.0.50; xterm--query fix causes startup problems
From: Paul Eggert <[email-masked]>
To: Emacs bug reports and feature requests <[email-masked]>
Cc: Stefan Monnier <[email-masked]>
Date: Wed, 01 Jul 2015 14:23:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan's commit cc8f96e6e19ad3f56631f432e088590a8cf8535d causes some problems 
when I start up Emacs.  If I run 'emacs -nw -Q /etc/passwd' under gnome-terminal 
on Ubuntu 15.04, I see a screen that says "File Edit Options Buffers Tools 
Lisp-Interaction Help" at the top and "-UUU:----F1  *scratch*      All L1 
(Lisp Interaction) ----------------------" at the bottom, with no sign of 
/etc/passwd.  When I then type C-x C-c, nothing happens.  I can exit by typing 
C-g C-x C-c but there was never a sign of /etc/passwd.